var _this;
var baseTok = null, heAnth = null;
var loading;
new Vue({
	el: '#app',
	filters: {
		setTime(_key){
			let _sf = getDTime(new Date((_key+"").length>10?parseInt(_key):parseInt(_key)*1000));
			return _sf[0] + _sf[1];
		},
		getLong(key){
			let _min = Math.floor(parseInt(key)/60);
			let _sed = parseInt(key) % 60;
			return (_min > 9?_min:"0"+_min)+"分"+(_sed > 9?_sed:"0"+_sed)+"秒";
		}
	},
	data: function() {
		return {
			nowTab: {},
			HisLi: [],
			hisVideo: false,
			hisVideoSrc: ""
		}
	},
	created:function(){
		_this = this;
		heAnth = JSON.parse(localStorage.getItem("nowShip"));
		_this.initAjax();
	},
	methods: {
		initAjax(){
			if(heAnth !=null && heAnth != "null"&&heAnth.other_info !=null && heAnth.other_info != ""){
				loading = _this.$toast({
					type: 'loading',
					loadingType: 'spinner',
					duration: 0
				});
				var dsd = heAnth.other_info.split(",");
				let _opts = {
					url: helUrl + "/index.php?ctl=bruce&act=get_group_member_list",
					type:"POST"
				};
				let _data = {
					admin_id: 7903,
					udid: "11111111",
					g_id: dsd[0]
				};
				postAxios(_opts, _data, {}).then((res) =>{
					if(res.status){
						let _obj = res.data;
						_this.nowTab = _obj.filter(item => item.device_id == dsd[1])[0];
						_this.getDate();
					}else{
						_this.HisLi = [];
					}
					loading.close();
				})
			}else{
				_this.HisLi = [];
			}
		},
		getDate(){
			let _opts = {
				url: helUrl + "/index.php?ctl=video&act=get_path_list",
				type:"POST"
			};
			let _data = {
				admin_id: _this.nowTab.c_user_id
			};
			postAxios(_opts, _data, {}).then((res) =>{
				if(res[_this.nowTab.user_id] != undefined){
					let _time = ["", "", ""], jki = res[_this.nowTab.user_id];
					for(let key in jki){
						_time[0] = key;
						for(let keyo in jki[key]){
							_time[1] = keyo;
							_time[2] = jki[key][keyo][0];
						}
					}
					_this.getPlay(_time);
				}else{
					_this.HisLi = [];
				}
			})
		},
		getPlay(_tiem){
			let _opts = {
				url: helUrl + "/index.php?ctl=video&act=get_video_list_v1",
				type:"POST"
			};
			let _data = {
				admin_id: _this.nowTab.c_user_id,
				uid: _this.nowTab.user_id,
				year:_tiem[0],
				month: _tiem[1],
				day: _tiem[2],
				content: ""
			};
			postAxios(_opts, _data, {}).then((res) =>{
				if(res.status){
					_this.HisLi = res.data;
				}else{
					_this.HisLi = [];
				}
			})
			
		},
		dwonLoad(_row){
			let _sf = getDTime(new Date(parseInt(_row.ctime)*1000));
			fetch(_row.url).then(res => res.blob()).then(blob => {
				const a = document.createElement('a');
				document.body.appendChild(a)
				a.style.display = 'none'
				const url = window.URL.createObjectURL(blob);
				a.href = url;
				a.download = (_sf[0]+_sf[1])+'.mp4';
				a.click();
				document.body.removeChild(a)
				window.URL.revokeObjectURL(url);
			});
		},
		seeVid(kyt){
			_this.hisVideo = true;
			_this.hisVideoSrc = kyt;
		},
		goBack(){
			top.location.href = "../mainPh.html?sn=3";
		}
	}
})