var _this;
var baseTok = null, heAnth = null;
var loading;
new Vue({
	el: '#app',
	filters: {
		setTime(_key){
			let _sf = getDTime(new Date((_key+"").length>10?parseInt(_key):parseInt(_key)*1000));
			return _sf[0] + _sf[1];
		}
	},
	data: function() {
		return {
			nowTab: {},
			pictureLi: [],
			showPreview: false,
			imagePreview: []
		}
	},
	created:function(){
		_this = this;
		heAnth = JSON.parse(localStorage.getItem("nowShip"));
		_this.initAjax();
	},
	methods: {
		initAjax(){
			if(heAnth !=null && heAnth != "null"&&heAnth.other_info !=null && heAnth.other_info != ""){
				loading = _this.$toast({
					type: 'loading',
					loadingType: 'spinner',
					duration: 0
				});
				var dsd = heAnth.other_info.split(",");
				let _opts = {
					url: helUrl + "/index.php?ctl=bruce&act=get_group_member_list",
					type:"POST"
				};
				let _data = {
					admin_id: 7903,
					udid: "11111111",
					g_id: dsd[0]
				};
				postAxios(_opts, _data, {}).then((res) =>{
					if(res.status){
						let _obj = res.data;
						_this.nowTab = _obj.filter(item => item.device_id == dsd[1])[0];
						_this.getPlay();
					}else{
						_this.pictureLi = [];
					}
					loading.close();
				})
			}else{
				_this.pictureLi = [];
			}
		},
		getPlay(){
			let _opts = {
				url: helUrl + "/index.php?ctl=report&act=get_user_image",
				type:"POST"
			};
			let _data = {
				user_id: _this.nowTab.user_id,
				p: 1
			};
			postAxios(_opts, _data, {}).then((res) =>{
				if(res.status){
					_this.pictureLi = res.data;
				}else{
					_this.pictureLi = [];
				}
			})
		},
		previewImg(kyt){
			_this.showPreview = true;
			_this.imagePreview = [kyt];
		},
		goBack(){
			top.location.href = "../mainPh.html?sn=3";
		}
	}
})