var _this;
var nowTime = new Date().getTime();
var periodChart, typeChart;
new Vue({
	el: '#app',
	data: function() {
		return {
			queryParams: {
			    pageNum: 1,
				pageSize: 10,
				orderByColumn: "createTime",
				isAsc: "descending",
				sparePartAccessType: null,
				createBy: "lyzh"
			},
			storageList: [],
			allTotal: 0,
			sparePartAccessTypeList: [],
			drawerDolag: false,
			sparePartAccessDetailsList: []
		}
	},
	created() {
		_this = this;
		let _obj = getUseDict("com_access_type")
		setTimeout(()=>{
			_this.sparePartAccessTypeList = _obj["com_access_type"];
			this.getList();
		}, 500);
	},  
	mounted:function(){
	},
	methods: {
		getList(){
			getInOutList(_this.queryParams).then((_res) => {
				_this.storageList = _res.rows;
				_this.allTotal = _res.total;
			});
		},
		handleQuery() {
		    _this.queryParams.pageNum = 1;
		    this.getList();
		},
		resetQuery() {
			_this.queryParams = {
			    pageNum: 1,
				pageSize: 10,
				orderByColumn: "createTime",
				isAsc: "descending",
				sparePartAccessType: null,
			    createBy: "lyzh"
			}
		    this.handleQuery();
		},
		handleCurrentChange(val) {
			if(val != _this.queryParams.pageNum){
				_this.queryParams.pageNum = val;
				this.getList();
			}
		},
		handleDelete(row) {
		    this.$confirm('是否确认删除改条出入库记录为"' + row.sparePartAccessId + '"的数据项？').then(function () {
		        return DelInOutDetail(row.sparePartAccessId);
		    }).then(() => {
		        this.getList();
				this.$message({
					showClose: true,
					message: "删除成功",
					type: 'success'
				});
		    }).catch(() => { });
		},
		handleSee(row){
			getInOutDetail(row.sparePartAccessId).then((_res) => {
				_this.sparePartAccessDetailsList = _res.data.sparePartAccessDetailsList;
				_this.drawerDolag = true;
			});
		}
	}
})