var _this;
var nowTime, nowEnna;
new Vue({
	el: '#app',
	data: function() {
		return {
			lidarLi: [{
				value: '1',
				label: '设备心跳'
			},{
				value: '2',
				label: '摄像头掉线'
			},{
				value: '3',
				label: '摄像头重连'
			},{
				value: '4-1',
				label: '目标闯入'
			},{
				value: '4-2',
				label: '目标离开'
			},{
				value: '4-3',
				label: '目标碰撞'
			}],
			wiraData: [],
			queryParem: {
				sn: "",
				endTime: "",
				beginTime: "",
				pageNum: 1,
				pageSize: 20
			},
			allTotal: 0,
			wramImg: "",
			dialogVisible: false
		}
	},
	created() {
		_this = this;
		nowTime = parseTime(new Date(), '{y}-{m}-{d}');
		nowEnna = JSON.parse(localStorage.getItem("nowShip"));
		_this.queryParem.endTime = nowTime;
		_this.queryParem.beginTime = nowTime;
		_this.getList();
	},  
	mounted(){
		window.addEventListener('message',(data)=>{
			nowEnna = JSON.parse(localStorage.getItem("nowShip"));
			_this.queryParem.pageNum = 1;
			_this.getList();
		})
	},
	methods: {
		getList(){
			if(nowEnna !=null && nowEnna != "null"&&nowEnna.en_name  != ""&&nowEnna.en_name  != null){
				const loading = this.$loading({
					background: 'rgba(0, 0, 0, 0.4)'
				})
				setTimeout(()=>{
					_this.queryParem.sn = nowEnna.en_name;
					let _data = _this.queryParem;
					getLedarData(_data, function(_res){
						_this.allTotal = _res.total;
						_this.wiraData = _res.rows;
						loading.close()
					})
				},200)
			}else{
				_this.allTotal = 0;
				_this.wiraData = [];
			}
		},
		seachLi(){
			_this.queryParem.pageNum = 1;
			_this.checkQuery();
		},
		handleCurrentChange(val){
			if(val != _this.queryParem.pageNum){
				_this.queryParem.pageNum = val;
				_this.getList();
			}
		},
		checkQuery(){
			if((isNaN(_this.queryParem.endTime)&&!isNaN(Date.parse(_this.queryParem.endTime)))&&(!isNaN(_this.queryParem.beginTime)||isNaN(Date.parse(_this.queryParem.beginTime)))){
				_this.$message({
					message: '请选择开始时间！',
					type: 'warning'
				});
				return;
			}
			if((isNaN(_this.queryParem.endTime)&&!isNaN(Date.parse(_this.queryParem.endTime)))&&(isNaN(_this.queryParem.beginTime)&&!isNaN(Date.parse(_this.queryParem.beginTime)))){
				if(new Date(_this.queryParem.endTime).getTime()<new Date(_this.queryParem.beginTime).getTime()){
					let a = _this.queryParem.endTime;
					_this.queryParem.endTime = _this.queryParem.beginTime;
					_this.queryParem.beginTime = a;
				}
			}else if((!isNaN(_this.queryParem.endTime)||!isNaN(Date.parse(_this.queryParem.endTime)))&&(isNaN(_this.queryParem.beginTime)&&!isNaN(Date.parse(_this.queryParem.beginTime)))){
				_this.queryParem.endTime = nowTime;
			}
			_this.getList();
		},
		seeImg(row){
			_this.wramImg = row.imgUrl;
			_this.dialogVisible = true;
		},
		handleSelect(e){
			let _val = e.split("-");
			_this.queryParem.type = _val[0];
			if(_val.length>1){
				_this.queryParem.secondType = _val[1];
			}else{
				_this.queryParem.secondType = null;
			}
		}
	}
})