let TextTag = `<template>
				  <div>
					<template v-for="(item, index) in options">
					  <template v-if="values.includes(item.value)">
						<span
						  v-if="item.elTagType == 'default' || item.elTagType == ''"
						  :key="item.value"
						  :index="index"
						  :class="item.elTagType"
						>{{ item.label }}</span>
						<el-tag
						  v-else
						  size="small"
						  :disable-transitions="true"
						  :key="item.value + ''"
						  :index="index"
						  :type="item.elTagType === 'primary' ? '' : item.elTagType"
						  :class="item.elTagType"
						>{{ item.label }}</el-tag>
					  </template>
					</template>
				  </div>
				</template>`;
Vue.component('my-dicttag', {
	template: TextTag,
	props: {
		options: {
			type: Array,
			default: null,
		},
		// 当前的值
		value: [Number, String, Array],
	},
	computed: {
		values: function() {
			if (this.value !== null && typeof this.value !== "undefined") {
				return Array.isArray(this.value) ? this.value : [String(this.value)];
			} else {
				return [];
			}
		}
	},
	data: function() {
		return {}
	}
})